New SCSIFS SWI


SWI  SCSIFS_Partitions   &40995

 On entry
   R0 = reason code
   others depend on reason

   Reason code 0 = Set Sector offset for drive N
   R1 = Drive number (0..7)
   R2 = Sector offset to base of image
        This offset is zero by default. It may be changed by this SWI
        at any time, but changing this value after mounting the disc
        is usually not wise!

   Reason code 1 = Enquire SCSIFS disc number
   R1 = Drive number (0..7)
 [ PartitionManager
   R2 = Sector offset to base of image
 ]
   returns
   R2 = SCSIFS disc icon (0..7), or -1 if none

   Reason code 2 = Enquire Drive number and offset
   R1 = SCSIFS disc number (0..7)
   returns
   R1 = Drive number (0..7)
   R2 = Sector offset to base of image


New SCSIFS Service Call

Immediately prior to mounting a partition for a SCSIFS Drive a
new Service Call is issued:

  Service_SCSIMounting  &20104

  R2 = SCSIFS disc icon (0..7) which is about to be mounted.
  R3 = SCSI ID for this drive proposed

If a helper App wishes to mount a partition other than the base one
it should issue SWI SCSIFS_Partitions with
    R0 = 0
    R1 = SCSIFS disc icon (0..7) (R2 from the service call)
    R2 = Desired sector offset to disc image base.
    R3 = SCSI ID for this drive

This SWI MUST be issued immediately. On return from the service call
SCSIFS will use this value to mount the disc.